com.sun.management

## Class OSMBeanFactory

- java.lang.Object
- - com.sun.management.OSMBeanFactory

    public class OSMBeanFactory
    extends Object

Operating system dependent MBean factory.

WARNING: While this class is public, it should not be treated as public API and its API may change in incompatable ways between dot dot releases and even patch releases. You should not rely on this class.

### Method Summary

Methods
`static OperatingSystemMXBean` `getOperatingSystemMXBean(sun.management.VMManagement jvm)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getOperatingSystemMXBean

    public static OperatingSystemMXBean getOperatingSystemMXBean(sun.management.VMManagement jvm)

Copyright © 2003, 2014, Oracle and/or its affiliates. All rights reserved.